Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class DynamicError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.DynamicError

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since 9.0 - use the superclass XPathException instead

    public class DynamicError

extends XPathException

Subclass of XPathException used for dynamic errors

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`DynamicError(java.lang.String message)` Deprecated.
`DynamicError(java.lang.String message, javax.xml.transform.SourceLocator loc)` Deprecated.
`DynamicError(java.lang.String message, javax.xml.transform.SourceLocator loc, java.lang.Throwable err)` Deprecated.
`DynamicError(java.lang.String message, java.lang.String errorCode)` Deprecated.
`DynamicError(java.lang.String message, java.lang.String errorCode, XPathContext context)` Deprecated.
`DynamicError(java.lang.String message, java.lang.Throwable err)` Deprecated.
`DynamicError(java.lang.Throwable err)` Deprecated.

Method Summary
`XPathContext` | `getXPathContext()` Deprecated. Get the dynamic context at the time the exception occurred
`static DynamicError` | `makeDynamicError(javax.xml.transform.TransformerException err)` Deprecated.
`void` | `maybeSetLocation(javax.xml.transform.SourceLocator locator, XPathContext context)` Deprecated. Set the location and/or context of a message, only if they are not already set
`void` | `setXPathContext(XPathContext context)` Deprecated. Set dynamic context information in the exception object

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetLocation, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsStaticError, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicError

    public DynamicError(java.lang.String message)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.Throwable err)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.String message,
                        java.lang.Throwable err)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.String message,
                        javax.xml.transform.SourceLocator loc)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.String message,
                        javax.xml.transform.SourceLocator loc,
                        java.lang.Throwable err)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.String message,
                        java.lang.String errorCode)

  Deprecated.

### DynamicError

    public DynamicError(java.lang.String message,
                        java.lang.String errorCode,
                        XPathContext context)

  Deprecated.

Method Detail

### setXPathContext

    public void setXPathContext(XPathContext context)

  Deprecated.
  Description copied from class: `XPathException`
  Set dynamic context information in the exception object

  Overrides:
    `setXPathContext` in class `XPathException`
  Parameters:
    `context` - the dynamic context at the time the exception occurred

### getXPathContext

    public XPathContext getXPathContext()

  Deprecated.
  Description copied from class: `XPathException`
  Get the dynamic context at the time the exception occurred

  Overrides:
    `getXPathContext` in class `XPathException`
  Returns:
    the dynamic context if known; otherwise null

### makeDynamicError

    public static DynamicError makeDynamicError(javax.xml.transform.TransformerException err)

  Deprecated.

### maybeSetLocation

    public void maybeSetLocation(javax.xml.transform.SourceLocator locator,
                                 XPathContext context)

  Deprecated.
  Set the location and/or context of a message, only if they are not already set

  Parameters:
    `locator` - the current location (or null)
    `context` - the current context (or null)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.